/*
CRM API

Testing DnAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package crmapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/crmapi"
)

func Test_crmapi_DnAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test DnAPIService CreateDNConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.DnAPI.CreateDNConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test DnAPIService DeleteDNConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		httpRes, err := apiClient.DnAPI.DeleteDNConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test DnAPIService GetDNConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.DnAPI.GetDNConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test DnAPIService SyncDNContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.DnAPI.SyncDNContact(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
